
const base = 'https://transporte.hz.kursor.cl/api'

export async function load({ url }) {
    const id = url.searchParams.get('id');

    if (!id) return null;

    const token = await getToken()
    return await fetchParaderoData(id, token)
}

async function getToken() {
    try {
        const rut = '11111111-1'
        const password = 'usuario1'

        const res = await fetch(`${base}/auth/`, {
            method: 'POST',
            body: JSON.stringify({ rut, password })
        })
        if (!res.ok) throw await res.text()

        const { token } = await res.json()

        // console.log({ token })
        return token;
    } catch (error) {
        console.log('token',{ error })
    }
}

async function fetchParaderoData(id, token) {
    try {
        const data = {
            GetInfoDevice: {
                idDispositivo: id,
                KeyAuthorizacion: "token"
            }
        }

        const res = await fetch(`${base}/dispositivos/getInfoDevice/`, {
            method: 'POST',
            body: JSON.stringify(data),
            headers: { "Authorization": `Bearer ${token}`, "Content-Type": "application/json" }
        })

        if (!res.ok) throw await res.text()
        return res.json()

    } catch (error) {
        console.log('paradero',{ error })
    }
}